curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/disable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.disable("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.disable("user_abc123");
console.log(result.message);
{
"message": "User and wallet disabled successfully"
}
{
"detail": "User not found"
}
Users
Disable User
Temporarily disable a user and their associated wallet
POST
/
api
/
v1
/
users
/
{user_id}
/
disable
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/disable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.disable("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.disable("user_abc123");
console.log(result.message);
{
"message": "User and wallet disabled successfully"
}
{
"detail": "User not found"
}
Endpoint
POST /api/v1/users/{user_id}/disable
Path Parameters
string
required
The unique identifier of the user to disable
Headers
string
required
Your application API key
string
required
Your application secret key
Response
string
Success message confirming the user and wallet have been disabled
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/disable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.disable("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.disable("user_abc123");
console.log(result.message);
{
"message": "User and wallet disabled successfully"
}
{
"detail": "User not found"
}
Disabling a user has a cascading effect: the user’s primary wallet is also
automatically disabled. This prevents any further deposits, withdrawals, or
transfers until the user is re-enabled.